from datetime import datetime

from pydantic import BaseModel, field_validator


class BaseModelWithSerializeDatetime(BaseModel):
    @field_validator("*")
    def remove_tzinfo(cls, value):
        if isinstance(value, datetime) and value.tzinfo is not None:
            return value.replace(tzinfo=None)
        return value

    class Config:
        json_encoders = {
            datetime: lambda v: f"{v.strftime('%Y-%m-%dT%H:%M:%S.%f')[:-5]}Z"
        }

