from typing import TYPE_CHECKING

from sqlalchemy.orm import Mapped, relationship

from src.core.database import Base

if TYPE_CHECKING:
    from src.core.database import TgMessage


class TgChat(Base):
    chat_type: Mapped[str]
    title: Mapped[str]
    username: Mapped[str | None]

    message_relationship: Mapped[list["TgMessage"]] = relationship(
        back_populates="chat_relationship",
    )