from src.core.database import TgMessage, TgChat, User
from src.core.settings.base import settings
from src.core.tg_service.notify_sender import send_to_tg_from_bot
from src.core.tg_service.utils import create_and_format_message

from src.telethon_client import telethon_client


async def notify_for_success(
        messages: list[TgMessage],
        chat: TgChat,
        success_reason: str,
        user_model: User,
) -> None:
    message = create_and_format_message(
        reason=success_reason,
        user_model=user_model,
        chat=chat,
    )

    await send_to_tg_from_bot(
        text=message
    )

    await telethon_client.forward_messages(
        entity=settings.NOTIFY.CHAT_ID,
        messages=[message.id for message in messages],
        from_peer=chat.id,
    )
